server.port: ${PORT:0}

eureka:
  instance:
    hostname: localhost
    instance-id: ${spring.application.name}_${spring.application.instance-id:${random.value}}

spring:
  profiles.active: test
  application.name: MAILINGtest
  cloud:
    inetutils.preferred-networks: 127.0
    config:
      discovery:  # == https://cloud.spring.io/spring-cloud-config/multi/multi__spring_cloud_config_client.html#discovery-first-bootstrap
        enabled: true
        service-id: CONFIG
      uri: ${vcap.services.configuration-service.credentials.uri:http://CONFIG}  # == https://cloud.spring.io/spring-cloud-config/multi/multi__spring_cloud_config_client.html#config-first-bootstrap